[jadmin] need help building jabberd 1.4.4

Damon Register damon.register at comcast.net
Thu Apr 13 20:57:18 CDT 2006


Matthias Wimmer wrote:
> If somebody submits a patch I will appreciate it. But myself I do not 
> have enough solaris experience to debug this.
Ok.

As I mentioned in my previous post, I tried building jabberd 1.4.3.1.
At first I ran into that library path problem but with a little more
searching I found the solution.

http://linuxmafia.com/faq/Admin/ld-lib-path.html
did a nice job of explaining how to properly build to avoid use of
LD_LIBRARY_PATH.  I used the article's suggestion
"As an alternative to using the -L and -R options, you can set the 
environment variable LD_RUN_PATH before compiling the code."
I did that and then the ./configure and make.  The server is running
just fine now.

For now, version 1.4.3.1 will be fine for me.  If someone does figure
out the issues with 1.4.4, I will be happy to try it then.  I guess
I am just not experienced enough to figure out that one.  If anyone
does figure it out, I would really like to know how the fix was done
so I can add it to my learning.

Damon Register



More information about the JAdmin mailing list